<template>
<!--components/footer-logo/footer-logo.wxml-->
<view class="conts" :hidden="hidden" @tap="copyrightlogo == 'zhiqiyun' ? toZhiqiyun() : ''">

  <!-- <view class="logos">
    <image :src="'/static/pages/images/' + copyrightlogo + '.png'" class="image"></image>
  </view> -->
  <view class="phone">- 智企云 技术支持 -</view>
  
  <!-- <view class="phone">提供技术支持 服务电话：<view bindtap="phone">{{copyrighttel}}</view></view> -->
</view>
</template>

<script>
// components/footer-logo/footer-logo.js
const req = require("../../utils/request");

export default {
  data() {
    return {
      copyrighttitle: req.public.copyrighttitle,
      //头部页面背景链接
      copyrighttel: req.public.copyrighttel,
      copyrightlogo: req.public.copyrightlogo
    };
  },

  components: {},
  props: {
    hidden: {
      type: Boolean
    }
  },
  methods: {
    phone() {
      uni.makePhoneCall({
        phoneNumber: req.public.copyrighttel
      });
    },

    toZhiqiyun() {
      uni.navigateToMiniProgram({
        appId: 'wx0ecc71add476037a',
        path: 'pages/index/index',
        envVersion: req.env.NODE_ENV == 'product' ? 'release' : 'trial'
      });
    }

  }
};
</script>
<style>
@import "./footer-copyright.css";
</style>